libogg documentation | libogg release 1.0 - 20000615

# ogg_stream_pagein

declared in "ogg/ogg.h";

This function adds a complete page to the bitstream.

In a typical decoding situation, this function would be called after using ogg_sync_pageout to create a valid ogg_page struct.

Internally, this function breaks the page into packet segments in preparation for outputting a valid packet to the codec decoding layer.

    int ogg_stream_pagein(ogg_stream_state *os, ogg_page *og);

### Parameters

os
  Pointer to a previously declared ogg_stream struct, which represents the current logical bitstream.
og
  Pointer to a page of data. The data inside this page is being submitted to the streaming layer in order to be allocated into packets.

### Return Values

> - -1 indicates failure. This means that the serial number of the page did not match the serial number of the bitstream, or that the page version was incorrect.
> - 0 means that the page was successfully submitted to the bitstream.

copyright © 2000 xiph.org | Ogg Vorbis team@xiph.org
libogg documentation | libogg release 1.0 - 20000615